diff -uNr smartsieve.old/lib/Managesieve.php smartsieve/lib/Managesieve.php
--- smartsieve.old/lib/Managesieve.php	2009-02-02 13:19:06.000000000 +0100
+++ smartsieve/lib/Managesieve.php	2009-02-02 13:25:59.000000000 +0100
@@ -4,6 +4,8 @@
  *
  * Copyright (C) 2002-2007 Stephen Grier <stephengrier@users.sourceforge.net>
  *
+ * This version works with Dovecot's Managesieve Service! Fixed by Steffen Neubauer <stefreak at stefreak.de>
+ *
  * See the inclosed NOTICE file for conditions of use and distribution.
  */
 
@@ -766,14 +768,22 @@
             $this->_errstr = 'starttls: TLS not available';
             return false;
         }
         fputs($this->_socket, "STARTTLS\r\n");
         if ($this->getResponse() === F_OK) {
             if (stream_socket_enable_crypto($this->_socket, true, STREAM_CRYPTO_METHOD_TLS_CLIENT)) {
                 $this->_tls = true;
-                return ($this->capability() !== false) ? true : false;
+                if ($this->_capabilities['implementation'] != "dovecot") {
+                    return ($this->capability() !== false) ? true : false;
+                }
+                else {
+                    if ($this->parseCapability()) {
+                        return true;
+                    }
+                    else return false;
+                }
             }
             // Issue bogus capability command.
             fputs($this->_socket, "CAPABILITY\r\n");
             $this->getResponse();
         }
         $this->_errstr = 'starttls: TLS initialization failed: ' . $this->responseToString();
